Bank Aadhaar Seeding Verify Otp
curl --request POST \
--url https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738007869132,
"transaction_id": "0bc39fb5e3674a2397b0065f2f5e72ee",
"sub_code": "SUCCESS",
"message": "OTP Verified Successfully",
"data": {
"bank_name": "STATE BANK OF INDIA",
"status": "Active",
"last_updated_date": "2013-06-01",
"reference_id": "aadhaar_seeding_status_hTirlZjnEuedfjwKPgRo"
}
}Bank Aadhaar Seeding
Verify OTP
This API will validate the OTP entered by the user to authenticate with UIDAI. Once successfully validated response will have the Bank Aadhaar Seeding Status details.
POST
/
v1
/
verification
/
bank-aadhaar-seeding
/
verify-otp
Bank Aadhaar Seeding Verify Otp
curl --request POST \
--url https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/bank-aadhaar-seeding/verify-otp")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738007869132,
"transaction_id": "0bc39fb5e3674a2397b0065f2f5e72ee",
"sub_code": "SUCCESS",
"message": "OTP Verified Successfully",
"data": {
"bank_name": "STATE BANK OF INDIA",
"status": "Active",
"last_updated_date": "2013-06-01",
"reference_id": "aadhaar_seeding_status_hTirlZjnEuedfjwKPgRo"
}
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.